cleanup-info(8)

NAME
cleanup-info - clean up the mess that bogus install-info may have done

SYNOPSIS
cleanup-info [options] [--] [dirname]

DESCRIPTION
cleanup-info is a Perl script that tries to clean up the mess that bogus install-info(8) may have done. It gathers all sections with the same heading into a single one. It tries to be smart about cases and trailing colon/spaces.
Other clean-ups include removing of empty sections, and squeezing the blank lines (in entries part only).

Order of sections is preserved (the first encountered section counts). Order of entries within a section is preserved.

Please be extremely careful when using this utility - it might not be 100% safe. cleanup-info tries to be careful with your info dir file, but only until it writes it. You should back the file up prior to using this script.

OPTIONS

--unsafe
    Set some additional possibly useful options.
    Warning: the `--unsafe' option may garble an otherwise correct file!

--help
    Show the usage message and exit.

--version
    Show the version and exit.

FILES

/usr/info/dir or <dirname>/dir
    The info directory file. The lock file is named the same, with ".lock" suffix.

BUGS
Probably many.

SEE ALSO
install-info(8), info(1).

AUTHOR
Copyright (C) 1996 Kim-Minh Kaplan

This is free software; see the GNU General Public Licence version 2 or later for copying conditions. There is NO WARRANTY.